package com.qzingtech.im.redssion;

import org.redisson.codec.FstCodec;
import org.redisson.config.Config;
import org.redisson.config.SingleServerConfig;
import org.redisson.config.TransportMode;

import java.util.Map;

public class RedissonClientUtils {

    private static Config config;

    /**
     * 初始化redisson配置
     *
     * @param properties
     * @return
     */
    synchronized public static Config initConfig(Map properties) {
        config = new Config();
        SingleServerConfig singleServerConfig = config.useSingleServer();
        singleServerConfig.setAddress((String) properties.get("hibernate.cache.redisson.imeconfig.singleServerConfig.address"));
        singleServerConfig.setPassword((String) properties.get("hibernate.cache.redisson.imeconfig.singleServerConfig.password"));
        config.setCodec(new FstCodec());
        config.setTransportMode(TransportMode.NIO);
        return config;
    }

    public static Config getConfig(){
        return config;
    }
}
