package com.qzingtech.im.service;

import cn.hutool.json.JSONUtil;
import com.qzing.ieep.data.common.RestResponse;
import com.qzing.ime.prodexec.l7operationscreen.api.L7operationScreenClient;
import com.qzing.ime.prodexec.l7operationscreen.model.request.L7BranchOperationScreenRequest;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;


/**
 * @author DWJ
 */
@Component("BranchOperationType")
@Slf4j
public class BranchOperationTypeImpl implements DashboardTypeService{

    @Autowired
    private L7operationScreenClient l7operationScreenClient;

    @Override
    public String getScreenData(Map<String, Object> data) {
        L7BranchOperationScreenRequest productAndScreen = new L7BranchOperationScreenRequest();
        Map query = (Map<String, String>) data.get("query");
        String workCenterCode = (String) query.get("workCenterCode");
        String date = (String) query.get("date");
        String operationCode = (String) query.get("operationCode");
        // 前端设置的参数设置进来；
        productAndScreen.setWorkCenterCode(workCenterCode);
        productAndScreen.setDate(date);
        productAndScreen.setOperationCode(operationCode);
        RestResponse forObject = l7operationScreenClient.l7BranchOperationScreen(productAndScreen);
        String jsonStr = JSONUtil.toJsonStr(forObject);
        return jsonStr;
    }
}
