package com.qzingtech.im.service;

import cn.hutool.json.JSONUtil;
import com.qzing.ieep.data.common.RestResponse;
import com.qzing.ime.prodexec.dashboard.feign.DashboardClient;
import com.qzing.ime.prodexec.dashboard.model.request.ProductAndScreen;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * Created by chenyapeng on 2022/4/18 16:41
 */
@Component("EquipDashBoardType")
@Slf4j
public class EquipDashBoardTypeImpl implements DashboardTypeService {

    @Autowired
    private DashboardClient dashboardClient;


    @Override
    public String getScreenData(Map<String, Object> data) {
        ProductAndScreen productAndScreen = new ProductAndScreen();
        Map query = (Map<String, String>) data.get("query");
        String workCenterCode = (String) query.get("workCenterCode");
        String screenType = (String) query.get("screenType");
        String date = (String) query.get("date");
        // 前端设置的参数设置进来；
        productAndScreen.setWorkCenterCode(workCenterCode);
        productAndScreen.setScreenType(screenType);
        productAndScreen.setDate(date);
        RestResponse<Map<String, Object>> mapRestResponse = dashboardClient.largeScreenParameters(productAndScreen);
        String jsonStr = JSONUtil.toJsonStr(mapRestResponse);
        return jsonStr;
    }

}
