package com.qzingtech.im.service;

import cn.hutool.json.JSONUtil;
import com.qzing.ieep.data.common.RestResponse;
import com.qzing.ime.prodexec.dashboard.model.request.ProductAndScreen;
import com.qzing.ime.prodexec.workorder.feign.WorkOrderExtendFeignClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @program: rtgk
 * @description:
 * @author: zhangchao
 * @create: 2022-04-19 14:40
 **/
@Component("ProductPlanType")
@Slf4j
public class ProductPlanTypeImpl implements DashboardTypeService {

    @Autowired
    private WorkOrderExtendFeignClient workOrderExtendFeignClient;

    public String getScreenData(Map<String, Object> data) {
        ProductAndScreen productAndScreen = new ProductAndScreen();
        Map query = (Map<String, String>) data.get("query");
        String workCenterCode = (String) query.get("workCenterCode");
        String screenType = (String) query.get("screenType");
        String date = (String) query.get("date");

        // 前端设置的参数设置进来；
        productAndScreen.setWorkCenterCode(workCenterCode);
        productAndScreen.setScreenType(screenType);
        productAndScreen.setDate(date);

        RestResponse restResponse = workOrderExtendFeignClient.queryWorOrderByLineAndDate(productAndScreen);
        String jsonStr = JSONUtil.toJsonStr(restResponse);
        return jsonStr;
    }
}
