package com.qzingtech.im.util;

import lombok.Data;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

/**
 * @author xuwenjin
 * @Description TODO
 * @Date 2020/1/6 4:47 下午
 */
@Data
public class Date3SUtil {

    public static String FORMAT_SHORT_DATE = "yyyy-MM-dd";

    public static String FORMAT_SHORT_DATE_TIME = "yyyy-MM-dd HH:mm:ss";

    public static String FORMAT_SHORT_TIME = "HH:mm:ss";

    private String s1BeginDate;

    private String s1EndDate;

    private String s2BeginDate;

    private String s2EndDate;

    private String s3BeginDate;

    private String s3EndDate;

    public Date3SUtil() {
        super();
        calculationDate();
    }

    public static Date3SUtil getInstance() {
        return new Date3SUtil();
    }

    public void calculationDate() {

        Date date = new Date();

        SimpleDateFormat formatterTime = new SimpleDateFormat(FORMAT_SHORT_DATE_TIME);

        SimpleDateFormat formatter = new SimpleDateFormat(FORMAT_SHORT_DATE);

        String date00 = formatter.format(date) + " 00:00:00";
        String date3s = formatter.format(date) + " 07:45:00";
        try {

            long time00 = formatterTime.parse(date00).getTime();
            long time3s = formatterTime.parse(date3s).getTime();
            long timenow = date.getTime();

            if (timenow >= time00 && timenow < time3s) {
                Date beforeDate = new Date();
                Calendar calendar = new GregorianCalendar();
                calendar.setTime(beforeDate);
                calendar.add(calendar.DATE, -1);
                beforeDate = calendar.getTime();
                s1BeginDate = formatter.format(beforeDate) + " 07:45:00";
                s1EndDate = formatter.format(beforeDate) + " 16:15:00";

                s2BeginDate = formatter.format(beforeDate) + " 16:15:00";
                s2EndDate = formatter.format(new Date()) + " 00:15:00";

                s3BeginDate = formatter.format(new Date()) + " 00:15:00";
                s3EndDate = formatter.format(new Date()) + " 07:45:00";
            } else {

                Date afterDate = new Date();
                Calendar calendar = new GregorianCalendar();
                calendar.add(calendar.DATE, 1);
                afterDate = calendar.getTime();
                s1BeginDate = formatter.format(date) + " 07:45:00";
                s1EndDate = formatter.format(date) + " 16:15:00";

                s2BeginDate = formatter.format(date) + " 16:15:00";
                s2EndDate = formatter.format(afterDate) + " 00:15:00";

                s3BeginDate = formatter.format(afterDate) + " 00:15:00";
                s3EndDate = formatter.format(afterDate) + " 07:45:00";
            }

        } catch (ParseException e) {
            e.printStackTrace();
        }

    }

    /**
     * 获取当前勤次
     *
     * @return
     */
    public static String getCurrentShift() {
        String shift = "";
        DateFormat df = new SimpleDateFormat("HH:mm:ss");
        try {
            long dt1 = df.parse("00:15:00").getTime();
            long dt2 = df.parse("07:45:00").getTime();
            long dt3 = df.parse("16:15:00").getTime();
            String nowDateString = df.format(new Date(System.currentTimeMillis()));
            long now = df.parse(nowDateString).getTime();
            if (now > dt2 && now <= dt3) {
                shift = "一勤";
            } else if (now > dt3 || now <= dt1) {
                shift = "二勤";
            } else {
                shift = "三勤";
            }

        } catch (ParseException e) {
            e.printStackTrace();
        }
        return shift;

    }

    public static void main(String[] args) {
        System.out.printf(Date3SUtil.getCurrentShift());
    }



}
